Bug 1018239 - [RFE] need to have some sort of node status available from CLI
[RFE] need to have some sort of node status available from CLI
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 10:20 EDT by Corey Welton
Modified: 2017-08-10 16:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-10 16:19:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 19510 None None None 2017-05-10 09:01 EDT

  None (edit)
Description Corey Welton 2013-10-11 10:20:16 EDT
Description of problem:
There's no reason we shouldn't do some sort of periodic ping checks and/or other diagnostics to get (and be able to provide) status of child nodes.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Set up a node on parent side but don't do requisite work on child side  
2.  katello --user admin --password admin node list
3.  view results.

Actual results:
We know the node exists from this query, but we know nothing about it.

Expected results:
We should be able to do at least one of a couple of things:
* have a "Status" column for the results in 'katello --user admin --password admin node list'
* be able to have a more robust query, i.e., 'katello --user admin --password admin node status --id 1'


Additional info:
Status could be any of "Responding, Unresponsive, Syncing" etc etc etc.
Comment 6 Bryan Kearney 2017-08-10 16:19:11 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.